summaryrefslogtreecommitdiff
path: root/common/scripts/kvm/test-kvm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'common/scripts/kvm/test-kvm.sh')
-rwxr-xr-xcommon/scripts/kvm/test-kvm.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/common/scripts/kvm/test-kvm.sh b/common/scripts/kvm/test-kvm.sh
index 2df1c7d..0154482 100755
--- a/common/scripts/kvm/test-kvm.sh
+++ b/common/scripts/kvm/test-kvm.sh
@@ -14,8 +14,8 @@ fi
dmesg|grep 'Hyp mode initialized successfully' && echo "$KVM_INIT pass" || echo "$KVM_INIT fail"
if hash curl 2>/dev/null; then
- EXTRACT_BUILD_NUMBER="curl -s"
- DOWNLOAD_FILE="curl -SO"
+ EXTRACT_BUILD_NUMBER="curl -sk"
+ DOWNLOAD_FILE="curl -SOk"
else
EXTRACT_BUILD_NUMBER="wget -q --no-check-certificate -O -"
DOWNLOAD_FILE="wget --progress=dot -e dotbytes=2M --no-check-certificate"
@@ -49,7 +49,7 @@ cat >> /mnt/usr/bin/test-guest.sh <<EOF
#!/bin/sh
exec > /root/guest.log 2>&1
echo "$KVM_BOOT pass"
- ping -W 4 -c 10 192.168.1.10 && echo "$KVM_GUEST_NET pass" || echo "$KVM_GUEST_NET fail"
+ ping -W 4 -c 10 10.0.0.1 && echo "$KVM_GUEST_NET pass" || echo "$KVM_GUEST_NET fail"
sh $TEST_SCRIPT
EOF
chmod a+x /mnt/usr/bin/test-guest.sh
@@ -67,7 +67,7 @@ brctl addif br0 eth0
brctl addif br0 tap0
udhcpc -t 10 -i br0
-ping -W 4 -c 10 192.168.1.10 && echo "$KVM_HOST_NET pass" || echo "$KVM_HOST_NET fail"
+ping -W 4 -c 10 10.0.0.1 && echo "$KVM_HOST_NET pass" || echo "$KVM_HOST_NET fail"
qemu-system-arm -smp 2 -m 1024 -cpu cortex-a15 -M vexpress-a15 \
-kernel ./zImage -dtb ./vexpress-v2p-ca15-tc1.dtb \